from django.shortcuts import render
from django.forms import modelformset_factory
from .models import Project
# Create your views here.
# from django.http import HttpResponse


def index(request):
    #    return HttpResponse("Hello, world. You're at the input form")
    ProjectFormSet = modelformset_factory(Project, fields='__all__')
    if request.method == 'POST':
        formset = ProjectFormSet(request.POST, request.FILES)
        if formset.is_valid():
            formset.save()
            # do something.
    else:
        formset = ProjectFormSet()
    return render(request, 'input/project.html', {'formset': formset})
